<div class="signal-demo-container">
    <p>myValue: {{ myValue() }}</p>

    <div class="input-container">
        <button mat-flat-button color="primary" (click)="increment()">INCREMENT</button>
        <button mat-flat-button color="warn" (click)="decrement()">DECREMENT</button>
        <button mat-stroked-button color="primary" (click)="reset()">RESET</button>
    </div>

    <p>myValue + 10 = {{ sum() }}</p>
</div>
